summaryrefslogtreecommitdiffstats
path: root/scripts/makepkg.sh.in
diff options
context:
space:
mode:
authorEric Bélanger <snowmaniscool@gmail.com>2011-06-23 06:02:33 +0200
committerDan McGee <dan@archlinux.org>2011-06-24 04:39:37 +0200
commiteedd56f320c175c430ead9226dc871a9ce04ba3f (patch)
tree067b4088440a509656c59d1ea23100f9d5076193 /scripts/makepkg.sh.in
parentaa89a65a83bbac5487fff377cd6ac969e1796542 (diff)
downloadpacman-eedd56f320c175c430ead9226dc871a9ce04ba3f.tar.gz
pacman-eedd56f320c175c430ead9226dc871a9ce04ba3f.tar.xz
makepkg: Added checks in check_software for distcc, ccache, strip and gzip
Dan: slightly shorten some of the messages. Signed-off-by: Eric Bélanger <snowmaniscool@gmail.com> Signed-off-by: Dan McGee <dan@archlinux.org>
Diffstat (limited to 'scripts/makepkg.sh.in')
-rw-r--r--scripts/makepkg.sh.in32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index cd94ac98..2a0af7e6 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1482,6 +1482,38 @@ check_software() {
fi
fi
+ # distcc - compilation with distcc
+ if [[ $(check_buildenv distcc) = "y" && $(check_option distcc) != "n" ]]; then
+ if ! type -p distcc >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for distributed compilation.")" "distcc"
+ ret=1
+ fi
+ fi
+
+ # ccache - compilation with ccache
+ if [[ $(check_buildenv ccache) = "y" && $(check_option ccache) != "n" ]]; then
+ if ! type -p ccache >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compiler cache usage.")" "ccache"
+ ret=1
+ fi
+ fi
+
+ # strip - strip symbols from binaries/libraries
+ if [[ $(check_option strip) = "y" ]]; then
+ if ! type -p strip >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for object file stripping.")" "strip"
+ ret=1
+ fi
+ fi
+
+ # gzip - compressig man and info pages
+ if [[ $(check_option zipman) = "y" ]]; then
+ if ! type -p gzip >/dev/null; then
+ error "$(gettext "Cannot find the %s binary required for compressing man and info pages.")" "gzip"
+ ret=1
+ fi
+ fi
+
return $ret
}